#include<iostream>
#include<string>
#include<vector>
#include<fstream>
#include<cstdio>
#include<cstdlib>
#include<cstring>
//#include<boost>
#include<boost/algorithm/string.hpp>
//#include<boost/foreach.hpp>
#include<boost/lexical_cast.hpp>
//#include<boost/range/algorithm.hpp>
#include <stdlib.h>     /* srand, rand */
#include <time.h>
//#include"read_data.hpp"
#include"lp_form.hpp"
#include"get_solution.hpp"
#include"batchfile.hpp"
//#include"print_output.hpp"
 #include<iomanip>
using namespace std;
//using namespace boost::algorithm;

int main(int argc, char**argv){
  
  const string batchfilename = "cplexcomp";
  const string solfilename = "cplexlog";
  const string resfilename_lp="min_reaction_damage_sol";
  const string testlp="min_reaction_damage.lp";
 vector<vector<string> > save_TR_max;
 vector<vector<string> > save_TC_max;
 vector<int> save_w_max;
 vector<int> save_p_max;
 vector<int> save_q_max;
 vector<int> save_z_max; 
vector<int> pos_con;
	ifstream fin; 
 vector<vector<int> >A;
 vector<int> num_count;
  vector<int> save_x_val;
int flag=0;
num_count.clear(); 
 srand(time(NULL));
 int m=3;
 int n=9;

 srand(time(NULL));
 clock_t t;
t = clock();
 
create_lp(testlp,m,n); 

createbatchfile(batchfilename, testlp, resfilename_lp);
//system(("\"D: \\program\\cplex\\bin\\x86_win32\\cplex.exe\" < "+batchfilename+ ">"+solfilename).c_str());
system(("D:\\program\\cplex\\bin\\x86_win32\\cplex.exe < "+batchfilename+ " > "+solfilename).c_str());

getres(resfilename_lp,save_TR_max,save_TC_max);

for(int i=0;i<save_TR_max.size();i++)
{cout<<"getsol "<<i<<"row: ";
for(int j=0;j<save_TR_max[i].size();j++)
{
cout<<save_TR_max[i][j];
}
cout<<endl;
}

 for(int i=0;i<save_TC_max.size();i++)
{cout<<"getsol "<<i<<"row: ";
for(int j=0;j<save_TC_max[i].size();j++)
{
cout<<save_TC_max[i][j];
}
cout<<endl;
}
t = clock() - t;
printf ("It took me %d clicks (%f seconds).\n",t,((float)t)/CLOCKS_PER_SEC);    
return 0;
}


